import { TazeEditor, Value, WithTazePlugin } from "@taze-editor/taze-core";
import { NodeIdPlugin } from "./createNodeIdPlugin";
/**
 * Enables support for inserting nodes with an id key.
 */
export declare const withNodeId: <V extends Value = Value, E extends TazeEditor<V> = TazeEditor<V>>(editor: E, { options }: WithTazePlugin<NodeIdPlugin, V, E, any>) => E;
//# sourceMappingURL=withNodeId.d.ts.map